window.Gleam.initSearch([{"doc":"amber","title":"amber","content":"# amber\n\n[![Package Version](https://img.shields.io/hexpm/v/amber)](https://hex.pm/packages/amber)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/amber/)\n\n```sh\ngleam add amber\n```\n\n```gleam\nimport amber/fs\n\npub fn main() {\n  fs.write_text_file_sync(&quot;amber.txt&quot;, &quot;deno bindings for gleam&quot;, [])\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/amber&gt;.\n\n## Contributing\n\n### Prerequisites\n\n- [Deno](https://docs.deno.com/runtime/getting_started/installation/)\n- [Gleam](https://gleam.run/getting-started/installing/)\n- [Just](https://just.systems/man/en/prerequisites.html)\n- [Rebar3](https://rebar3.org/docs/getting-started/)\n- [Watchexec](https://github.com/watchexec/watchexec/tree/main?tab=readme-ov-file#install)\n\n_Tip_: You can install these tools using a version manager like\n[asdf](https://asdf-vm.com/guide/getting-started.html) or\n[mise](https://mise.jdx.dev/getting-started.html), which can read from\n`.tool-versions`.\n\n### Initial Setup\n\n```sh\njust\n```\n\n### Development\n\n```sh\njust develop\n```\n","url":"index.html"},{"doc":"amber/error","title":"Error","content":"pub type Error {\n  AddrInUse\n  AddrNotAvailable\n  AlreadyExists\n  BadResource\n  BrokenPipe\n  Busy\n  ConnectionAborted\n  ConnectionRefused\n  ConnectionReset\n  FilesystemLoop\n  Http\n  Interrupted\n  InvalidData\n  IsADirectory\n  NetworkUnreachable\n  NotADirectory\n  NotCapable\n  NotConnected\n  NotFound\n  NotSupported\n  PermissionDenied\n  TimedOut\n  UnexpectedEof\n  WouldBlock\n  WriteZero\n}\n\nAddrInUse\n Raised when attempting to open a server listener on an address and port\n that already has a listener.\n\n\nAddrNotAvailable\n Raised when the underlying operating system reports an EADDRNOTAVAIL\n error.\n\n\nAlreadyExists\n Raised when trying to create a resource, like a file, that already exists.\n\n\nBadResource\n The underlying IO resource is invalid or closed, and so the operation\n could not be performed.\n\n\nBrokenPipe\n Raised when trying to write to a resource and a broken pipe error occurs.\n This can happen when trying to write directly to stdout or stderr\n and the operating system is unable to pipe the output for a reason\n external to the Deno runtime.\n\n\nBusy\n Raised when the underlying IO resource is not available because it is\n being awaited on in another block of code.\n\n\nConnectionAborted\n Raised when the underlying operating system reports an ECONNABORTED\n error.\n\n\nConnectionRefused\n Raised when the underlying operating system reports that a connection to\n a resource is refused.\n\n\nConnectionReset\n Raised when the underlying operating system reports that a connection has\n been reset. With network servers, it can be a normal occurrence where a\n client will abort a connection instead of properly shutting it down.\n\n\nFilesystemLoop\n Raised when too many symbolic links were encountered when resolving the\n filename.\n\n\nHttp\n Raised in situations where when attempting to load a dynamic import,\n too many redirects were encountered.\n\n\nInterrupted\n Raised when the underlying operating system reports an EINTR error. In\n many cases, this underlying IO error will be handled internally within\n Deno, or result in an @{link BadResource} error instead.\n\n\nInvalidData\n Raised when an operation to returns data that is invalid for the\n operation being performed.\n\n\nIsADirectory\n Raised when trying to open, create or write to a directory.\n\n\nNetworkUnreachable\n Raised when performing a socket operation but the remote host is\n not reachable.\n\n\nNotADirectory\n Raised when trying to perform an operation on a path that is not a\n directory, when directory is required.\n\n\nNotCapable\n Raised when trying to perform an operation while the relevant Deno\n permission (like --allow-read) has not been granted.\n\n\nNotConnected\n Raised when the underlying operating system reports an ENOTCONN error.\n\n\nNotFound\n Raised when the underlying operating system indicates that the file\n was not found.\n\n\nNotSupported\n Raised when the underlying Deno API is asked to perform a function that\n is not currently supported.\n\n\nPermissionDenied\n Raised when the underlying operating system indicates the current user\n which the Deno process is running under does not have the appropriate\n permissions to a file or resource.\n\n\nTimedOut\n Raised when the underlying operating system reports that an I/O operation\n has timed out (ETIMEDOUT).\n\n\nUnexpectedEof\n Raised when attempting to read bytes from a resource, but the EOF was\n unexpectedly encountered.\n\n\nWouldBlock\n Raised when the underlying operating system would need to block to\n complete but an asynchronous (non-blocking) API is used.\n\n\nWriteZero\n Raised when expecting to write to a IO buffer resulted in zero bytes\n being written.\n\n\nSynonyms:\namber/error.Error\namber/error Error","url":"amber/error.html#Error"},{"doc":"amber/error","title":"amber/error","content":"","url":"amber/error.html"},{"doc":"amber/fs/dir_entry","title":"DirEntry","content":"pub type DirEntry {\n  DirEntry(\n    name: String,\n    is_file: Bool,\n    is_directory: Bool,\n    is_symlink: Bool,\n  )\n}\n\nDirEntry(\n  name: String,\n  is_file: Bool,\n  is_directory: Bool,\n  is_symlink: Bool,\n)\n\n\nSynonyms:\namber/fs/dir_entry.DirEntry\namber/fs/dir_entry DirEntry","url":"amber/fs/dir_entry.html#DirEntry"},{"doc":"amber/fs/dir_entry","title":"amber/fs/dir_entry","content":"","url":"amber/fs/dir_entry.html"},{"doc":"amber/web","title":"AbortSignal","content":"pub type AbortSignal\n\n\nSynonyms:\namber/web.AbortSignal\namber/web AbortSignal","url":"amber/web.html#AbortSignal"},{"doc":"amber/web","title":"Date","content":"pub type Date\n\n\nSynonyms:\namber/web.Date\namber/web Date","url":"amber/web.html#Date"},{"doc":"amber/web","title":"ReadableStream","content":"pub type ReadableStream(r)\n\n\nSynonyms:\namber/web.ReadableStream\namber/web ReadableStream","url":"amber/web.html#ReadableStream"},{"doc":"amber/web","title":"WritableStream","content":"pub type WritableStream(w)\n\n\nSynonyms:\namber/web.WritableStream\namber/web WritableStream","url":"amber/web.html#WritableStream"},{"doc":"amber/web","title":"amber/web","content":"","url":"amber/web.html"},{"doc":"amber/fs/file_info","title":"FileInfo","content":"pub type FileInfo {\n  FileInfo(\n    is_file: Bool,\n    is_directory: Bool,\n    is_symlink: Bool,\n    size: Int,\n    mtime: Option(Date),\n    atime: Option(Date),\n    birthtime: Option(Date),\n    dev: Int,\n    ino: Option(Int),\n    mode: Option(Int),\n    nlink: Option(Int),\n    uid: Option(Int),\n    gid: Option(Int),\n    rdev: Option(Int),\n    blksize: Option(Int),\n    blocks: Option(Int),\n    is_block_device: Option(Bool),\n    is_char_device: Option(Bool),\n    is_fifo: Option(Bool),\n    is_socket: Option(Bool),\n  )\n}\n\nFileInfo(\n  is_file: Bool,\n  is_directory: Bool,\n  is_symlink: Bool,\n  size: Int,\n  mtime: Option(Date),\n  atime: Option(Date),\n  birthtime: Option(Date),\n  dev: Int,\n  ino: Option(Int),\n  mode: Option(Int),\n  nlink: Option(Int),\n  uid: Option(Int),\n  gid: Option(Int),\n  rdev: Option(Int),\n  blksize: Option(Int),\n  blocks: Option(Int),\n  is_block_device: Option(Bool),\n  is_char_device: Option(Bool),\n  is_fifo: Option(Bool),\n  is_socket: Option(Bool),\n)\n\n\nSynonyms:\namber/fs/file_info.FileInfo\namber/fs/file_info FileInfo","url":"amber/fs/file_info.html#FileInfo"},{"doc":"amber/fs/file_info","title":"amber/fs/file_info","content":"","url":"amber/fs/file_info.html"},{"doc":"amber/fs/seek_mode","title":"SeekMode","content":"pub type SeekMode {\n  Start\n  Current\n  End\n}\n\nStart\n\n\nCurrent\n\n\nEnd\n\n\nSynonyms:\namber/fs/seek_mode.SeekMode\namber/fs/seek_mode SeekMode","url":"amber/fs/seek_mode.html#SeekMode"},{"doc":"amber/fs/seek_mode","title":"amber/fs/seek_mode","content":"","url":"amber/fs/seek_mode.html"},{"doc":"amber/fs/set_raw","title":"SetRawOption","content":"pub type SetRawOption {\n  Cbreak(Bool)\n}\n\nCbreak(Bool)\n\n\nSynonyms:\namber/fs/set_raw.SetRawOption\namber/fs/set_raw SetRawOption","url":"amber/fs/set_raw.html#SetRawOption"},{"doc":"amber/fs/set_raw","title":"amber/fs/set_raw","content":"","url":"amber/fs/set_raw.html"},{"doc":"amber/web/uint8_array","title":"Uint8Array","content":"pub type Uint8Array\n A typed array of 8-bit unsigned integer values. The contents are initialized\n to 0. If the requested number of bytes could not be allocated an exception\n is raised.\n\n\nSynonyms:\namber/web/uint8_array.Uint8Array\namber/web/uint8_array Uint8Array","url":"amber/web/uint8_array.html#Uint8Array"},{"doc":"amber/web/uint8_array","title":"new","content":"pub fn new() -&gt; Uint8Array\n\nSynonyms:\namber/web/uint8_array.new\namber/web/uint8_array new","url":"amber/web/uint8_array.html#new"},{"doc":"amber/web/uint8_array","title":"amber/web/uint8_array","content":"","url":"amber/web/uint8_array.html"},{"doc":"amber/fs/fs_file","title":"FsFile","content":"pub type FsFile\n\n\nSynonyms:\namber/fs/fs_file.FsFile\namber/fs/fs_file FsFile","url":"amber/fs/fs_file.html#FsFile"},{"doc":"amber/fs/fs_file","title":"close","content":"pub fn close(file: FsFile) -&gt; Nil\n\nSynonyms:\namber/fs/fs_file.close\namber/fs/fs_file close","url":"amber/fs/fs_file.html#close"},{"doc":"amber/fs/fs_file","title":"is_terminal","content":"pub fn is_terminal(file: FsFile) -&gt; Bool\n\nSynonyms:\namber/fs/fs_file.is_terminal\namber/fs/fs_file is_terminal","url":"amber/fs/fs_file.html#is_terminal"},{"doc":"amber/fs/fs_file","title":"lock_sync","content":"pub fn lock_sync(file: FsFile, exclusive: Bool) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.lock_sync\namber/fs/fs_file lock_sync","url":"amber/fs/fs_file.html#lock_sync"},{"doc":"amber/fs/fs_file","title":"read_sync","content":"pub fn read_sync(file: FsFile, p: Uint8Array) -&gt; Result(Int, Nil)\n\nSynonyms:\namber/fs/fs_file.read_sync\namber/fs/fs_file read_sync","url":"amber/fs/fs_file.html#read_sync"},{"doc":"amber/fs/fs_file","title":"readable","content":"pub fn readable(file: FsFile) -&gt; ReadableStream(Uint8Array)\n\nSynonyms:\namber/fs/fs_file.readable\namber/fs/fs_file readable","url":"amber/fs/fs_file.html#readable"},{"doc":"amber/fs/fs_file","title":"seek_sync","content":"pub fn seek_sync(\n  file: FsFile,\n  offset: Int,\n  whence: SeekMode,\n) -&gt; Int\n\nSynonyms:\namber/fs/fs_file.seek_sync\namber/fs/fs_file seek_sync","url":"amber/fs/fs_file.html#seek_sync"},{"doc":"amber/fs/fs_file","title":"set_raw","content":"pub fn set_raw(\n  file: FsFile,\n  mode: Bool,\n  options: List(SetRawOption),\n) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.set_raw\namber/fs/fs_file set_raw","url":"amber/fs/fs_file.html#set_raw"},{"doc":"amber/fs/fs_file","title":"stat_sync","content":"pub fn stat_sync(file: FsFile) -&gt; FileInfo\n\nSynonyms:\namber/fs/fs_file.stat_sync\namber/fs/fs_file stat_sync","url":"amber/fs/fs_file.html#stat_sync"},{"doc":"amber/fs/fs_file","title":"sync_data_sync","content":"pub fn sync_data_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.sync_data_sync\namber/fs/fs_file sync_data_sync","url":"amber/fs/fs_file.html#sync_data_sync"},{"doc":"amber/fs/fs_file","title":"sync_sync","content":"pub fn sync_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.sync_sync\namber/fs/fs_file sync_sync","url":"amber/fs/fs_file.html#sync_sync"},{"doc":"amber/fs/fs_file","title":"truncate_sync","content":"pub fn truncate_sync(file: FsFile, len: Option(Int)) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.truncate_sync\namber/fs/fs_file truncate_sync","url":"amber/fs/fs_file.html#truncate_sync"},{"doc":"amber/fs/fs_file","title":"unlock_sync","content":"pub fn unlock_sync(file: FsFile) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.unlock_sync\namber/fs/fs_file unlock_sync","url":"amber/fs/fs_file.html#unlock_sync"},{"doc":"amber/fs/fs_file","title":"utime_sync","content":"pub fn utime_sync(file: FsFile, atime: Int, mtime: Int) -&gt; FsFile\n\nSynonyms:\namber/fs/fs_file.utime_sync\namber/fs/fs_file utime_sync","url":"amber/fs/fs_file.html#utime_sync"},{"doc":"amber/fs/fs_file","title":"writable","content":"pub fn writable(file: FsFile) -&gt; WritableStream(Uint8Array)\n\nSynonyms:\namber/fs/fs_file.writable\namber/fs/fs_file writable","url":"amber/fs/fs_file.html#writable"},{"doc":"amber/fs/fs_file","title":"write_sync","content":"pub fn write_sync(file: FsFile, p: Uint8Array) -&gt; Int\n\nSynonyms:\namber/fs/fs_file.write_sync\namber/fs/fs_file write_sync","url":"amber/fs/fs_file.html#write_sync"},{"doc":"amber/fs/fs_file","title":"amber/fs/fs_file","content":"","url":"amber/fs/fs_file.html"},{"doc":"amber/fs/fs_event","title":"FsEvent","content":"pub type FsEvent {\n  FsEvent(\n    kind: FsEventKind,\n    paths: List(String),\n    flag: Option(FsEventFlag),\n  )\n}\n\nFsEvent(\n  kind: FsEventKind,\n  paths: List(String),\n  flag: Option(FsEventFlag),\n)\n\n\nSynonyms:\namber/fs/fs_event.FsEvent\namber/fs/fs_event FsEvent","url":"amber/fs/fs_event.html#FsEvent"},{"doc":"amber/fs/fs_event","title":"FsEventFlag","content":"pub type FsEventFlag {\n  Rescan\n}\n\nRescan\n\n\nSynonyms:\namber/fs/fs_event.FsEventFlag\namber/fs/fs_event FsEventFlag","url":"amber/fs/fs_event.html#FsEventFlag"},{"doc":"amber/fs/fs_event","title":"FsEventKind","content":"pub type FsEventKind {\n  Any\n  Access\n  Create\n  Modify\n  Rename\n  Remove\n  Other\n}\n\nAny\n\n\nAccess\n\n\nCreate\n\n\nModify\n\n\nRename\n\n\nRemove\n\n\nOther\n\n\nSynonyms:\namber/fs/fs_event.FsEventKind\namber/fs/fs_event FsEventKind","url":"amber/fs/fs_event.html#FsEventKind"},{"doc":"amber/fs/fs_event","title":"amber/fs/fs_event","content":"","url":"amber/fs/fs_event.html"},{"doc":"amber/fs/fs_watcher","title":"FsWatcher","content":"pub type FsWatcher\n\n\nSynonyms:\namber/fs/fs_watcher.FsWatcher\namber/fs/fs_watcher FsWatcher","url":"amber/fs/fs_watcher.html#FsWatcher"},{"doc":"amber/fs/fs_watcher","title":"close","content":"pub fn close(watcher: FsWatcher) -&gt; Nil\n\nSynonyms:\namber/fs/fs_watcher.close\namber/fs/fs_watcher close","url":"amber/fs/fs_watcher.html#close"},{"doc":"amber/fs/fs_watcher","title":"iterate_async","content":"pub fn iterate_async(\n  watcher: FsWatcher,\n  callback: fn(FsEvent) -&gt; Nil,\n) -&gt; Nil\n\nSynonyms:\namber/fs/fs_watcher.iterate_async\namber/fs/fs_watcher iterate_async","url":"amber/fs/fs_watcher.html#iterate_async"},{"doc":"amber/fs/fs_watcher","title":"amber/fs/fs_watcher","content":"","url":"amber/fs/fs_watcher.html"},{"doc":"amber/fs/make_temp","title":"MakeTempOption","content":"pub type MakeTempOption {\n  Dir(String)\n  Prefix(String)\n  Suffix(String)\n}\n\nDir(String)\n\n\nPrefix(String)\n\n\nSuffix(String)\n\n\nSynonyms:\namber/fs/make_temp.MakeTempOption\namber/fs/make_temp MakeTempOption","url":"amber/fs/make_temp.html#MakeTempOption"},{"doc":"amber/fs/make_temp","title":"amber/fs/make_temp","content":"","url":"amber/fs/make_temp.html"},{"doc":"amber/fs/mkdir","title":"MkdirOption","content":"pub type MkdirOption {\n  Recursive\n  Mode(Int)\n}\n\nRecursive\n\n\nMode(Int)\n\n\nSynonyms:\namber/fs/mkdir.MkdirOption\namber/fs/mkdir MkdirOption","url":"amber/fs/mkdir.html#MkdirOption"},{"doc":"amber/fs/mkdir","title":"amber/fs/mkdir","content":"","url":"amber/fs/mkdir.html"},{"doc":"amber/fs/open","title":"OpenOption","content":"pub type OpenOption {\n  Read(Bool)\n  Write\n  Append\n  Truncate\n  Create\n  CreateNew\n  Mode(Int)\n}\n\nRead(Bool)\n\n\nWrite\n\n\nAppend\n\n\nTruncate\n\n\nCreate\n\n\nCreateNew\n\n\nMode(Int)\n\n\nSynonyms:\namber/fs/open.OpenOption\namber/fs/open OpenOption","url":"amber/fs/open.html#OpenOption"},{"doc":"amber/fs/open","title":"amber/fs/open","content":"","url":"amber/fs/open.html"},{"doc":"amber/fs/remove","title":"RemoveOption","content":"pub type RemoveOption {\n  Recursive\n}\n\nRecursive\n\n\nSynonyms:\namber/fs/remove.RemoveOption\namber/fs/remove RemoveOption","url":"amber/fs/remove.html#RemoveOption"},{"doc":"amber/fs/remove","title":"amber/fs/remove","content":"","url":"amber/fs/remove.html"},{"doc":"amber/fs/symlink","title":"SymlinkOption","content":"pub type SymlinkOption {\n  Type(SymlinkType)\n}\n\nType(SymlinkType)\n\n\nSynonyms:\namber/fs/symlink.SymlinkOption\namber/fs/symlink SymlinkOption","url":"amber/fs/symlink.html#SymlinkOption"},{"doc":"amber/fs/symlink","title":"SymlinkType","content":"pub type SymlinkType {\n  File\n  Dir\n  Junction\n}\n\nFile\n\n\nDir\n\n\nJunction\n\n\nSynonyms:\namber/fs/symlink.SymlinkType\namber/fs/symlink SymlinkType","url":"amber/fs/symlink.html#SymlinkType"},{"doc":"amber/fs/symlink","title":"amber/fs/symlink","content":"","url":"amber/fs/symlink.html"},{"doc":"amber/fs/watch_fs","title":"WatchFsOption","content":"pub type WatchFsOption {\n  Recursive(Bool)\n}\n\nRecursive(Bool)\n\n\nSynonyms:\namber/fs/watch_fs.WatchFsOption\namber/fs/watch_fs WatchFsOption","url":"amber/fs/watch_fs.html#WatchFsOption"},{"doc":"amber/fs/watch_fs","title":"amber/fs/watch_fs","content":"","url":"amber/fs/watch_fs.html"},{"doc":"amber/fs/write_file","title":"WriteFileOption","content":"pub type WriteFileOption {\n  Append\n  Create(Bool)\n  CreateNew\n  Mode(Int)\n  Signal(AbortSignal)\n}\n\nAppend\n\n\nCreate(Bool)\n\n\nCreateNew\n\n\nMode(Int)\n\n\nSignal(AbortSignal)\n\n\nSynonyms:\namber/fs/write_file.WriteFileOption\namber/fs/write_file WriteFileOption","url":"amber/fs/write_file.html#WriteFileOption"},{"doc":"amber/fs/write_file","title":"amber/fs/write_file","content":"","url":"amber/fs/write_file.html"},{"doc":"amber/fs","title":"chmod_sync","content":"pub fn chmod_sync(path: String, mode: Int) -&gt; Nil\n\nSynonyms:\namber/fs.chmod_sync\namber/fs chmod_sync","url":"amber/fs.html#chmod_sync"},{"doc":"amber/fs","title":"chown_sync","content":"pub fn chown_sync(\n  path: String,\n  uid: Option(Int),\n  gid: Option(Int),\n) -&gt; Nil\n\nSynonyms:\namber/fs.chown_sync\namber/fs chown_sync","url":"amber/fs.html#chown_sync"},{"doc":"amber/fs","title":"copy_file_sync","content":"pub fn copy_file_sync(from_path: String, to_path: String) -&gt; Nil\n\nSynonyms:\namber/fs.copy_file_sync\namber/fs copy_file_sync","url":"amber/fs.html#copy_file_sync"},{"doc":"amber/fs","title":"create_sync","content":"pub fn create_sync(path: String) -&gt; FsFile\n\nSynonyms:\namber/fs.create_sync\namber/fs create_sync","url":"amber/fs.html#create_sync"},{"doc":"amber/fs","title":"link_sync","content":"pub fn link_sync(\n  oldpath: String,\n  newpath: String,\n) -&gt; Result(Nil, Error)\n\nSynonyms:\namber/fs.link_sync\namber/fs link_sync","url":"amber/fs.html#link_sync"},{"doc":"amber/fs","title":"lstat_sync","content":"pub fn lstat_sync(path: String) -&gt; FileInfo\n\nSynonyms:\namber/fs.lstat_sync\namber/fs lstat_sync","url":"amber/fs.html#lstat_sync"},{"doc":"amber/fs","title":"make_temp_dir_sync","content":"pub fn make_temp_dir_sync(\n  options: List(MakeTempOption),\n) -&gt; String\n\nSynonyms:\namber/fs.make_temp_dir_sync\namber/fs make_temp_dir_sync","url":"amber/fs.html#make_temp_dir_sync"},{"doc":"amber/fs","title":"make_temp_file_sync","content":"pub fn make_temp_file_sync(\n  options: List(MakeTempOption),\n) -&gt; String\n\nSynonyms:\namber/fs.make_temp_file_sync\namber/fs make_temp_file_sync","url":"amber/fs.html#make_temp_file_sync"},{"doc":"amber/fs","title":"mkdir_sync","content":"pub fn mkdir_sync(\n  path: String,\n  options: List(MkdirOption),\n) -&gt; Nil\n\nSynonyms:\namber/fs.mkdir_sync\namber/fs mkdir_sync","url":"amber/fs.html#mkdir_sync"},{"doc":"amber/fs","title":"open_sync","content":"pub fn open_sync(\n  path: String,\n  options: List(OpenOption),\n) -&gt; FsFile\n\nSynonyms:\namber/fs.open_sync\namber/fs open_sync","url":"amber/fs.html#open_sync"},{"doc":"amber/fs","title":"read_dir_sync","content":"pub fn read_dir_sync(path: String) -&gt; List(DirEntry)\n\nSynonyms:\namber/fs.read_dir_sync\namber/fs read_dir_sync","url":"amber/fs.html#read_dir_sync"},{"doc":"amber/fs","title":"read_file_sync","content":"pub fn read_file_sync(path: String) -&gt; Uint8Array\n\nSynonyms:\namber/fs.read_file_sync\namber/fs read_file_sync","url":"amber/fs.html#read_file_sync"},{"doc":"amber/fs","title":"read_link_sync","content":"pub fn read_link_sync(path: String) -&gt; String\n\nSynonyms:\namber/fs.read_link_sync\namber/fs read_link_sync","url":"amber/fs.html#read_link_sync"},{"doc":"amber/fs","title":"read_text_file_sync","content":"pub fn read_text_file_sync(path: String) -&gt; String\n\nSynonyms:\namber/fs.read_text_file_sync\namber/fs read_text_file_sync","url":"amber/fs.html#read_text_file_sync"},{"doc":"amber/fs","title":"real_path_sync","content":"pub fn real_path_sync(path: String) -&gt; String\n\nSynonyms:\namber/fs.real_path_sync\namber/fs real_path_sync","url":"amber/fs.html#real_path_sync"},{"doc":"amber/fs","title":"remove_sync","content":"pub fn remove_sync(\n  path: String,\n  options: List(RemoveOption),\n) -&gt; Nil\n\nSynonyms:\namber/fs.remove_sync\namber/fs remove_sync","url":"amber/fs.html#remove_sync"},{"doc":"amber/fs","title":"rename_sync","content":"pub fn rename_sync(oldpath: String, newpath: String) -&gt; Nil\n\nSynonyms:\namber/fs.rename_sync\namber/fs rename_sync","url":"amber/fs.html#rename_sync"},{"doc":"amber/fs","title":"stat_sync","content":"pub fn stat_sync(path: String) -&gt; FileInfo\n\nSynonyms:\namber/fs.stat_sync\namber/fs stat_sync","url":"amber/fs.html#stat_sync"},{"doc":"amber/fs","title":"symlink_sync","content":"pub fn symlink_sync(\n  oldpath: String,\n  newpath: String,\n  options: List(SymlinkOption),\n) -&gt; Nil\n\nSynonyms:\namber/fs.symlink_sync\namber/fs symlink_sync","url":"amber/fs.html#symlink_sync"},{"doc":"amber/fs","title":"truncate_sync","content":"pub fn truncate_sync(name: String, len: Option(Int)) -&gt; Nil\n\nSynonyms:\namber/fs.truncate_sync\namber/fs truncate_sync","url":"amber/fs.html#truncate_sync"},{"doc":"amber/fs","title":"umask","content":"pub fn umask(mask: Option(Int)) -&gt; Int\n\nSynonyms:\namber/fs.umask\namber/fs umask","url":"amber/fs.html#umask"},{"doc":"amber/fs","title":"utime_sync","content":"pub fn utime_sync(path: String, atime: Int, mtime: Int) -&gt; Nil\n\nSynonyms:\namber/fs.utime_sync\namber/fs utime_sync","url":"amber/fs.html#utime_sync"},{"doc":"amber/fs","title":"watch_fs","content":"pub fn watch_fs(\n  paths: List(String),\n  options: List(WatchFsOption),\n) -&gt; FsWatcher\n\nSynonyms:\namber/fs.watch_fs\namber/fs watch_fs","url":"amber/fs.html#watch_fs"},{"doc":"amber/fs","title":"write_file_sync","content":"pub fn write_file_sync(\n  path: String,\n  data: Uint8Array,\n  options: List(WriteFileOption),\n) -&gt; Nil\n\nSynonyms:\namber/fs.write_file_sync\namber/fs write_file_sync","url":"amber/fs.html#write_file_sync"},{"doc":"amber/fs","title":"write_text_file_sync","content":"pub fn write_text_file_sync(\n  path: String,\n  data: String,\n  options: List(WriteFileOption),\n) -&gt; Nil\n\nSynonyms:\namber/fs.write_text_file_sync\namber/fs write_text_file_sync","url":"amber/fs.html#write_text_file_sync"},{"doc":"amber/fs","title":"amber/fs","content":"","url":"amber/fs.html"},{"doc":"amber/fs/read_file","title":"ReadFileOption","content":"pub type ReadFileOption {\n  Signal(AbortSignal)\n}\n\nSignal(AbortSignal)\n\n\nSynonyms:\namber/fs/read_file.ReadFileOption\namber/fs/read_file ReadFileOption","url":"amber/fs/read_file.html#ReadFileOption"},{"doc":"amber/fs/read_file","title":"amber/fs/read_file","content":"","url":"amber/fs/read_file.html"},{"doc":"amber/web/text_encoder","title":"TextEncoder","content":"pub type TextEncoder\n Allows you to convert a string into binary data\n (in the form of a Uint8Array) given the encoding.\n\n ## Examples\n \n \n import amber/web/text_encoder\n \n text_encoder.new()\n |&gt; text_encoder.encode(&quot;Hello&quot;)\n // -&gt; //js(Uint8Array { &quot;0&quot;: 72, &quot;1&quot;: 101, &quot;2&quot;: 108, &quot;3&quot;: 108, &quot;4&quot;: 111 })\n \n\n\nSynonyms:\namber/web/text_encoder.TextEncoder\namber/web/text_encoder TextEncoder","url":"amber/web/text_encoder.html#TextEncoder"},{"doc":"amber/web/text_encoder","title":"encode","content":"pub fn encode(encoder: TextEncoder, input: String) -&gt; Uint8Array\n Turns a string into binary data (in the form of a Uint8Array) using UTF-8\n encoding.\n \nSynonyms:\namber/web/text_encoder.encode\namber/web/text_encoder encode","url":"amber/web/text_encoder.html#encode"},{"doc":"amber/web/text_encoder","title":"new","content":"pub fn new() -&gt; TextEncoder\n\nSynonyms:\namber/web/text_encoder.new\namber/web/text_encoder new","url":"amber/web/text_encoder.html#new"},{"doc":"amber/web/text_encoder","title":"amber/web/text_encoder","content":"","url":"amber/web/text_encoder.html"}]);